> ## Documentation Index
> Fetch the complete documentation index at: https://docs.igboapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Word

> Returns one requested word from the database



## OpenAPI

````yaml GET /words/{id}
openapi: 3.0.1
info:
  title: The Igbo API
  description: >-
    An API that enables developers to interact with African language models and
    fetch Igbo word data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://igboapi.com/api/v2
security:
  - ApiKeyAuth: []
paths:
  /words/{id}:
    get:
      description: Returns one requested word from the database
      parameters:
        - name: dialects
          in: query
          description: Includes dialect information in each document
          schema:
            type: string
        - name: examples
          in: query
          description: Includes examples associated with each document
          schema:
            type: string
        - name: wordClasses
          in: query
          description: >-
            Comma-separated string of word classes that filters words that match
            the word class (a.k.a. part of speech)
          schema:
            type: string
      responses:
        '200':
          description: Words response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Word'
                type: object
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Word:
      required:
        - id
        - word
        - wordClass
        - pronunciation
        - definitions
        - attributes
        - nsibidi
      type: object
      properties:
        id:
          description: Id of word
          type: string
        word:
          description: The headword
          type: string
        wordClass:
          description: The part of speech
          type: string
        pronunciation:
          description: Audio URI of word recording
          type: string
        definitions:
          description: The English definitions
          type: array
          items:
            type: string
        attributes:
          description: The word attributes
          type: object
          required:
            - isStandardIgbo
            - isAccented
            - isSlang
            - isConstructedTerm
            - isBorrowedTerm
            - isStem
            - isCommon
          properties:
            isStandardIgbo:
              description: Is the word in Standard Igbo
              type: boolean
            isAccented:
              description: Is the word fully accented with diacritic marks
              type: boolean
            isSlang:
              description: Is the word slang
              type: boolean
            isConstructedTerm:
              description: Is the word newly conceptually created
              type: boolean
            isBorrowedTerm:
              description: Is the word a borrowed word from another language
              type: boolean
            isStem:
              description: Is the word a stem
              type: boolean
            isCommon:
              description: Is the word common in daily usage
              type: boolean
        relatedTerms:
          description: Ids of related word documents
          type: string
        nsibidi:
          description: Nsịbịdị representation of the text
          type: string
        dialects:
          description: Dialectal variations of the word
          type: array
          items:
            $ref: '#/components/schemas/Dialect'
        variations:
          description: Spelling variations of the headword
          type: array
          items:
            type: string
        examples:
          description: Associated example Igbo sentences
          type: array
          items:
            $ref: '#/components/schemas/Example'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Dialect:
      type: object
      required:
        - word
        - dialects
        - pronunciation
      properties:
        word:
          description: Headword for the dialectal variation
          type: string
        dialects:
          description: Enums of dialect regions
          type: array
          items:
            type: string
        pronunciation:
          description: Audio URI of the dialectal variation
          type: string
        variations:
          description: Spelling variations of the dialectal headword
          type: array
          items:
            type: string
    Example:
      required:
        - id
        - igbo
        - english
        - pronunciation
        - meaning
        - style
      type: object
      properties:
        id:
          description: Id of word
          type: string
        igbo:
          description: The Igbo translation of the sentence
          type: string
        english:
          description: The English translation of the sentence
          type: string
        pronunciation:
          description: Audio URI of sentence recording
          type: string
        meaning:
          description: The conceptual meaning of the sentence in English
          type: string
        style:
          description: The style of the sentence
          type: object
        associatedWords:
          description: Ids of words present in the sentence
          type: array
          items:
            type: string
        nsibidi:
          description: Nsịbịdị representation of the text
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````